<?

include_once("sapo_lib.php");

include_once("jpgraph.php");
include_once("jpgraph_line.php");
include_once("jpgraph_error.php");
include_once("jpgraph_bar.php");
include_once("jpgraph_pie.php");
include_once("jpgraph_pie3d.php");
include_once("jpgraph_log.php");

function sapo_build_graph_filename( $label )
{
    return sapo_timestamp() . "-" . rand(0, 1000) . ".png";
}

function sapo_graph_pie( $datax, $data1y, $pfile )
{
    include("./sql/template.inc");
    include("./sql/$pfile.inc");

    $filename = sapo_build_graph_filename( $sapo_graph_title );

	$graph = new PieGraph(700,300, $filename, 1, false);
	$graph->SetShadow();

	$graph->title->Set($sapo_graph_title);
    $graph->title->SetFont(FF_VERDANA,FS_BOLD,10);
    $graph->title->SetColor("darkblue");

    $graph->legend->Pos(0.1,0.2);

	$p1 = new PiePlot3d($data1y);
    $p1->SetTheme("sand");
#    $p1->SetSize($size);
    $p1->SetAngle(60);
    $p1->SetFont(FF_TIMES,FS_NORMAL,8);



#	$p1->SetFontColor("darkred");
#	$p1->SetSize(0.3);
	$p1->SetLegends( $datax );
	$graph->Add($p1);
	$graph->Stroke();

    return $filename;
}

function sapo_graph_bar( $datax, $data1y, $pfile )
{
    include("./sql/template.inc");
    include("./sql/$pfile.inc");

    $filename = sapo_build_graph_filename( $sapo_graph_title );

	$graph = new Graph(700,500, $filename, 1, false);

#    $graph->img->SetMargin(60,20,30,50);
    $graph->SetScale("textlin");
    $graph->SetMarginColor("silver");
    $graph->SetShadow();

    // Set up the title for the graph
    $graph->title->Set( $sapo_graph_title );
    $graph->title->SetFont(FF_COMIC,FS_NORMAL,18);
    $graph->title->SetColor("darkred");

    // Setup font for axis
    $graph->xaxis->SetFont(FF_VERDANA,FS_NORMAL,12);
    $graph->yaxis->SetFont(FF_VERDANA,FS_NORMAL,11);

    // Show 0 label on Y-axis (default is not to show)
    $graph->yscale->ticks->SupressZeroLabel(false);

    // Setup X-axis labels
    $graph->xaxis->SetTickLabels($datax);
    $graph->xaxis->SetLabelAngle(0);

    // Create the bar pot
    $bplot = new BarPlot($data1y);
    $bplot->SetWidth(0.6);

    // Setup color for gradient fill style 
    $bplot->SetFillGradient("navy","lightsteelblue",GRAD_MIDVER);

    // Set color for the frame of each bar
    $bplot->SetColor("navy");
    $graph->Add($bplot);


	// Display the graph
	$graph->Stroke();
    return $filename;
}

function sapo_ora2graph($results, $pfile)
{
	reset($results);

	$column = each($results);
	$datax = $column[value];

    $field = 1;
	while ($column = each($results) ) {
        $data1y = $column[value];

        $filename = sapo_graph_pie( $datax, $data1y, $pfile );
        print "<img src=\"file:///tmp/jpgcache/$filename\" border=0 align=center >";

        

        $filename = sapo_graph_bar( $datax, $data1y, $pfile);
        print "<img src=\"file:///tmp/jpgcache/$filename\" border=0 align=center >";

        $field++;
    }
}
?>
