<?

$sapo_graph_title = "Tablespaces";
$sapo_graph_labelx = "Ts";
$sapo_graph_labely = "Used (Kb)";

$sql_stmt = "
select 
	f.tablespace_name, 
	nvl(u.used_kb, 0) Used_Kb,
	nvl(u.used_kb + f.free_kb, 0) size_kb,
	nvl(round((u.used_kb * 100) /(u.used_kb + f.free_kb), 1), 0) used_perc
from
	(
	select 
		tablespace_name, 
		sum(bytes) / 1024 used_kb
	from 
		dba_segments
	group by 
		tablespace_name
	) u, (
	select 
		tablespace_name, 
		sum(bytes) / 1024 free_kb
	from 
		dba_free_space
	group by 
		tablespace_name
	) f
where
	u.tablespace_name (+) = f.tablespace_name";

?>
